Subject: Re: linux-next: sparc tree build failure

From: Ingo Molnar <[email-masked]>
Date: Thu, 9 Apr 2009 07:53:56 +0200

* David Miller <[email-masked]> wrote:

> From: Ingo Molnar <[email-masked]>
> Date: Thu, 9 Apr 2009 07:36:30 +0200
> 
> > Would it be possible for you to reserve the extra futex related 
> > pointer right now? (or is that not possible without changing the 
> > restart block in linux/thread_info.h?)
> 
> What are my real options?
> 
> No matter what, once you change the size of "struct restart_block" 
> the sparc64 build will fail, no matter what.
> 
> The only way around this is if you merge the thing that changes 
> the "struct restart_block"'s size to Linus now along with the 
> sparc64 change at the same time.
> 
> But then I have a merge issue I have to resolve in the sparc64 
> tree because I've already pushed out my dynamic per-cpu work
> :-/

We could create a standalone, .30-rc1 based topic for the 
linux/thread_info.h change only, and push it to Linus, and/or you 
could pull it into the Sparc tree?

	Ingo